<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title></title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_e7c3364ca391bc70e8172e4313e89970.html">&lt;&lt; Analytic Geometry</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; Feature Detection, Description and Matching</span>

    <br /><br />
    <h3 class="title-part">Feature Detection, Description and Matching</h3>
<ul class="list-chapter"><li><a href="imbestmatches.html" class="refentry">imbestmatches</a> &#8212; <span class="refentry-description">Find the best matched features from 2 features objects and the matching matrix</span></li>





<li><a href="imdetect_BRISK.html" class="refentry">imdetect_BRISK</a> &#8212; <span class="refentry-description">Detect features from an image with BRISK algorithm</span></li>





<li><a href="imdetect_DENSE.html" class="refentry">imdetect_DENSE</a> &#8212; <span class="refentry-description">Detect features from an image with DENSE algorithm</span></li>





<li><a href="imdetect_FAST.html" class="refentry">imdetect_FAST</a> &#8212; <span class="refentry-description">Detect features from an image with FAST algorithm. Usually used for corner features.</span></li>





<li><a href="imdetect_GFTT.html" class="refentry">imdetect_GFTT</a> &#8212; <span class="refentry-description">Detect features from an image with GFTT algorithm</span></li>





<li><a href="imdetect_HARRIS.html" class="refentry">imdetect_HARRIS</a> &#8212; <span class="refentry-description">Detect features from an image with HARRIS algorithm</span></li>





<li><a href="imdetect_MSER.html" class="refentry">imdetect_MSER</a> &#8212; <span class="refentry-description">Detect features from an image with MSER algorithm</span></li>





<li><a href="imdetect_ORB.html" class="refentry">imdetect_ORB</a> &#8212; <span class="refentry-description">Detect features from an image with ORB algorithm</span></li>





<li><a href="imdetect_SIFT.html" class="refentry">imdetect_SIFT</a> &#8212; <span class="refentry-description">Detect features from an image with SIFT algorithm</span></li>





<li><a href="imdetect_STAR.html" class="refentry">imdetect_STAR</a> &#8212; <span class="refentry-description">Detect features from an image with STAR algorithm</span></li>





<li><a href="imdetect_SURF.html" class="refentry">imdetect_SURF</a> &#8212; <span class="refentry-description">Detect features from an image with SURF algorithm</span></li>





<li><a href="imdrawmatches.html" class="refentry">imdrawmatches</a> &#8212; <span class="refentry-description">Draw matching result for 2 images</span></li>





<li><a href="imextract_DescriptorBRIEF.html" class="refentry">imextract_DescriptorBRIEF</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image with BRIEF method.</span></li>





<li><a href="imextract_DescriptorBRISK.html" class="refentry">imextract_DescriptorBRISK</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image with BRISK method.</span></li>





<li><a href="imextract_DescriptorFREAK.html" class="refentry">imextract_DescriptorFREAK</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image with FREAK method.</span></li>





<li><a href="imextract_DescriptorORB.html" class="refentry">imextract_DescriptorORB</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image  with ORB method.</span></li>





<li><a href="imextract_DescriptorSIFT.html" class="refentry">imextract_DescriptorSIFT</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image  with SIFT method.</span></li>





<li><a href="imextract_DescriptorSURF.html" class="refentry">imextract_DescriptorSURF</a> &#8212; <span class="refentry-description">Computes the descriptors for a set of keypoints detected in an image  with SURF method.</span></li>





<li><a href="immatch_BruteForce.html" class="refentry">immatch_BruteForce</a> &#8212; <span class="refentry-description">Brute-force matcher for features matching.</span></li>





<li><a href="plotfeature.html" class="refentry">plotfeature</a> &#8212; <span class="refentry-description">Plot the features detected by feature detectors</span></li></ul>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_e7c3364ca391bc70e8172e4313e89970.html">&lt;&lt; Analytic Geometry</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
